#include "wfconfig.h"

int
main(int argc, char* argv[]) {
  wf_config myconfig;

  myconfig.option_add("int1", WF_OPTION_TYPE_INT, "an integer", "1");
  myconfig.option_add("int2", WF_OPTION_TYPE_INT, "an integer", "2");
  myconfig.option_add("int3", WF_OPTION_TYPE_INT, "a 2nd integer", "1");
  myconfig.option_add("int4", WF_OPTION_TYPE_INT, "a 2nd integer", "2");
  myconfig.option_add("str1", WF_OPTION_TYPE_STR, "a string", "1");
  myconfig.option_add("str2", WF_OPTION_TYPE_STR, "a string", "2");
  myconfig.option_add("bool1", WF_OPTION_TYPE_BOOL, "a boolean", "1");
  myconfig.option_add("bool2", WF_OPTION_TYPE_BOOL, "a boolean", "2");

  myconfig.print(cerr) << endl;

  myconfig.option_set("int1", 21);
  myconfig["int2"] = 21;

  myconfig.option_set("int3", 43);
  myconfig["int4"] = 43;

  myconfig["str1"] = "mystring";
  myconfig.option_set("str2", "mystring");

  myconfig["bool1"] = true;
  myconfig.option_set("bool2", true);

  int g;
  g = myconfig.option_get("int1").toint();
  cerr << g << endl;
  g = myconfig["int2"].toint();
  cerr << g << endl;

  int h;
  h = myconfig.option_get("int3").toint();
  cerr << h << endl;
  h = myconfig["int4"].toint();
  cerr << h << endl;

  string i;
  i = myconfig.option_get("str1").tostr();
  cerr << i << endl;
  i = myconfig["str2"].tostr();
  cerr << i << endl;

  bool j;
  j = myconfig.option_get("bool1").tobool();
  cerr << j << endl;
  j = myconfig["bool2"].tobool();
  cerr << j << endl;

  exit(0);
}
