/*
 * WallFire -- a comprehensive firewall administration tool.
 * 
 * Copyright (C) 2001 Herv Eychenne <rv@wallfire.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#ifndef _DEFS_H
#define _DEFS_H

#define WALLFIRE_AUTHOR_EMAIL_ADDR "rv@wallfire.org"
#define WALLFIRE_URL "http://www.wallfire.org/"

#include "lib.h"

#ifdef HAVE_LIBINTL_H
# include <libintl.h>
# ifdef HAVE_LOCALE_H
#  include <locale.h>
# endif
# define _(string) gettext(string)
# define N_(string) (string)
#else
# define _(string) string
# define N_(string) (string)
# define textdomain(domain)
# define bindtextdomain(package, directory)
# define setlocale(cat, locale)
#endif

#endif /* _DEFS_H */
